summaryrefslogtreecommitdiffstats
path: root/contrib/dialog/samples/msgbox5
diff options
context:
space:
mode:
Diffstat (limited to 'contrib/dialog/samples/msgbox5')
-rwxr-xr-xcontrib/dialog/samples/msgbox523
1 files changed, 23 insertions, 0 deletions
diff --git a/contrib/dialog/samples/msgbox5 b/contrib/dialog/samples/msgbox5
new file mode 100755
index 0000000..f5d9427
--- /dev/null
+++ b/contrib/dialog/samples/msgbox5
@@ -0,0 +1,23 @@
+#!/bin/sh
+# $Id: msgbox5,v 1.5 2010/01/13 10:26:52 tom Exp $
+# this differs from msgbox3 by making a window small enough to force scrolling.
+
+. ./setup-vars
+
+width=35
+while test $width != 61
+do
+$DIALOG --title "MESSAGE BOX (width $width)" --clear --no-collapse "$@" \
+ --msgbox "\
+ H H EEEEE L L OOO
+ H H E L L O O
+ HHHHH EEEEE L L O O
+ H H E L L O O
+ H H EEEEE LLLLL LLLLL OOO
+
+Hi, this is a simple message box. You can use this to \
+display any message you like. The box will remain until \
+you press the ENTER key." 10 $width
+test $? = $DIALOG_ESC && break
+width=`expr $width + 1`
+done
OpenPOWER on IntegriCloud